
public class Class551 implements Interface55 {

   int[] anIntArray7428;


   public boolean method286(Class225_Sub8 var1, Interface56[] var2, int var3, Class234 var4) {
      int[] var5 = this.anIntArray7428;

      for(int var6 = 0; var6 < var5.length; ++var6) {
         int var7 = var5[var6];
         if(!var4.method4052(var7, (short)160)) {
            return false;
         }
      }

      return true;
   }

   Class551(int[] var1) {
      this.anIntArray7428 = var1;
   }

   public boolean method287(Class225_Sub8 var1, Interface56[] var2, int var3, Class234 var4) {
      int[] var5 = this.anIntArray7428;

      for(int var6 = 0; var6 < var5.length; ++var6) {
         int var7 = var5[var6];
         if(!var4.method4052(var7, (short)160)) {
            return false;
         }
      }

      return true;
   }

   public boolean method288(Class225_Sub8 var1, Interface56[] var2, int var3, Class234 var4) {
      int[] var5 = this.anIntArray7428;

      for(int var6 = 0; var6 < var5.length; ++var6) {
         int var7 = var5[var6];
         if(!var4.method4052(var7, (short)160)) {
            return false;
         }
      }

      return true;
   }

   public boolean method289(Class225_Sub8 var1, Interface56[] var2, int var3, Class234 var4, int var5) {
      int[] var6 = this.anIntArray7428;

      for(int var7 = 0; var7 < var6.length; ++var7) {
         int var8 = var6[var7];
         if(!var4.method4052(var8, (short)160)) {
            return false;
         }
      }

      return true;
   }

   public boolean method290(Class225_Sub8 var1, Interface56[] var2, int var3, Class234 var4) {
      int[] var5 = this.anIntArray7428;

      for(int var6 = 0; var6 < var5.length; ++var6) {
         int var7 = var5[var6];
         if(!var4.method4052(var7, (short)160)) {
            return false;
         }
      }

      return true;
   }

   public static Class551 method11799(RS2Buffer var0) {
      int var1 = var0.readUnsignedByte(-700559597);
      int[] var2 = new int[var1];

      for(int var3 = 0; var3 < var1; ++var3) {
         var2[var3] = var0.readUnsignedByte(-700559597);
      }

      return new Class551(var2);
   }

   public static Class551 method11800(RS2Buffer var0) {
      int var1 = var0.readUnsignedByte(-700559597);
      int[] var2 = new int[var1];

      for(int var3 = 0; var3 < var1; ++var3) {
         var2[var3] = var0.readUnsignedByte(-700559597);
      }

      return new Class551(var2);
   }

   public static Class551 method11801(RS2Buffer var0) {
      int var1 = var0.readUnsignedByte(-700559597);
      int[] var2 = new int[var1];

      for(int var3 = 0; var3 < var1; ++var3) {
         var2[var3] = var0.readUnsignedByte(-700559597);
      }

      return new Class551(var2);
   }

   static void method11802(Class225_Sub28 var0, int var1, int var2) {
      Object[] var3 = var0.anObjectArray8635;
      int var4 = ((Integer)var3[0]).intValue();
      Class225_Sub14_Sub6 var5 = Class220.method3782(var4, (byte)-37);
      if(null != var5) {
         Class508 var6 = Class553.method11829((byte)-49);
         var6.anIntArray6026 = new int[823857281 * var5.anInt10443];
         int var7 = 0;
         var6.anObjectArray5998 = new String[var5.anInt10444 * 691770439];
         int var8 = 0;
         var6.aLongArray5999 = new long[var5.anInt10445 * 1671737577];
         int var9 = 0;

         for(int var10 = 1; var10 < var3.length; ++var10) {
            if(var3[var10] instanceof Integer) {
               int var11 = ((Integer)var3[var10]).intValue();
               if(var11 == -2147483647) {
                  var11 = 659046387 * var0.anInt8637;
               }

               if(var11 == -2147483646) {
                  var11 = -441912181 * var0.anInt8639;
               }

               if(var11 == -2147483645) {
                  var11 = var0.aClass124_8636 != null?34646887 * var0.aClass124_8636.anInt1406:-1;
               }

               if(var11 == -2147483644) {
                  var11 = var0.anInt8642 * 1743922605;
               }

               if(-2147483643 == var11) {
                  var11 = var0.aClass124_8636 != null?var0.aClass124_8636.anInt1369 * -875927841:-1;
               }

               if(var11 == -2147483642) {
                  var11 = var0.aClass124_8640 != null?34646887 * var0.aClass124_8640.anInt1406:-1;
               }

               if(var11 == -2147483641) {
                  var11 = var0.aClass124_8640 != null?var0.aClass124_8640.anInt1369 * -875927841:-1;
               }

               if(var11 == -2147483640) {
                  var11 = var0.anInt8641 * -947459779;
               }

               if(-2147483639 == var11) {
                  var11 = -1525000691 * var0.anInt8634;
               }

               var6.anIntArray6026[var7++] = var11;
            } else if(var3[var10] instanceof String) {
               String var14 = (String)var3[var10];
               if(var14.equals("event_opbase")) {
                  var14 = var0.aString8643;
               }

               var6.anObjectArray5998[var8++] = var14;
            } else if(var3[var10] instanceof Long) {
               long var12 = ((Long)var3[var10]).longValue();
               var6.aLongArray5999[var9++] = var12;
            }
         }

         var6.anInt6013 = var0.anInt8644 * -749882719;
         Class225_Sub12_Sub4.method16257(var5, var1, var6, 1310897400);
      }
   }

   static final void method11803(Class124 var0, Class508 var1, byte var2) {
      if(var1.anInt6013 * 788674971 >= 10) {
         throw new RuntimeException();
      } else if(var0.anObjectArray1505 != null) {
         Class225_Sub28 var3 = new Class225_Sub28();
         var3.aClass124_8636 = var0;
         var3.anObjectArray8635 = var0.anObjectArray1505;
         var3.anInt8644 = -1974554271 * var1.anInt6013 + 740613811;
         client.aClass456_7837.method7712(var3, (byte)58);
      }
   }

   static final void method11804(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class124 var3 = Class97.method1903(var2, -2097901443);
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = 516053361 * var3.anInt1368;
   }

   static final void method11805(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class42 var3 = Class94.method1841(var2, (byte)-58);
      int var4 = -1;
      if(var3 != null) {
         var4 = 1089871041 * var3.anInt446;
      }

      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = var4;
   }

   static Class225_Sub12_Sub2 method11806(Class225_Sub12_Sub2 var0, byte var1) {
      Class225_Sub12_Sub2 var2 = var0 == null?new Class225_Sub12_Sub2():new Class225_Sub12_Sub2(var0);
      var2.method15673(9, 128, (byte)-68);
      return var2;
   }

   static final void method11807(Class508 var0, int var1) {
      String var2 = (String)var0.anObjectArray6004[(var0.anInt6005 -= -46848683) * 639741949];
      int var3 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class216.method3744(var2, var3 == 1, 115584890);
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class504.anInt5976 * -186793971;
   }

   static final void method11808(Class508 var0, int var1) {
      var0.anIntArray6027[-937710807 * var0.anInt6003 - 1] = var0.aClass64_5997.method1326(1515247220)[var0.anIntArray6027[-937710807 * var0.anInt6003 - 1]];
   }

   public static final void method11809(byte var0) {
      client.aBool7854 = true;
   }
}
